import javax.servlet.*;
import javax.servlet.http.*;
import java.io.*;
import java.util.*;


public class ListRequirement extends HttpServlet
{
	DBQuery dbQuery;

	public void init(ServletConfig config) throws ServletException
	{
		super.init(config);
		dbQuery=new DBQuery();
	}

	public void destroy()
	{
		dbQuery.close();
		dbQuery=null;
	}

	public void doGet(HttpServletRequest request,HttpServletResponse response) 
	{
        	try
		{
			PrintWriter out;
			response.setContentType("text/html");

			out=response.getWriter();

			if(CookieUser.getUser(request)==null)
				response.sendRedirect(JoeEnv.LoginLocation);

			String qgameid=request.getParameter("gameid");

			String gameidQuery="";

			if(qgameid!=null&&qgameid.length()!=0)
				gameidQuery=" AND joe_requirement.gameid="+qgameid;

			String queryString="SELECT joe_requirement.gameid, joe_game.name, joe_requirement.cpu, TO_CHAR(joe_requirement.hdd, '999,999,999,999,999,999,999'), TO_CHAR(joe_requirement.ram, '999,999,999,999,999,999,999'), joe_requirement.hdd, joe_requirement.ram FROM joe_game, joe_requirement WHERE joe_requirement.gameid = joe_game.gameid"+gameidQuery;

			out.println("<!--");
			out.println(queryString);
			out.println("-->");

			out.println("<HTML>");
			out.println("<HEAD>");
			out.println("<TITLE>");
			out.println("Requirement");
			out.println("</TITLE>");
			out.println("<LINK REL=\"stylesheet\" TYPE=\"text/css\" HREF=\""+JoeEnv.styleDir+"/labstyle.css\" TITLE=\"Style\"");
			out.println("</HEAD>");
			out.println("<BODY bgcolor=\"#ffffff\">");
			out.println("<CENTER><A HREF=\"ListRequirement\"><IMG SRC=\"");
			out.println(JoeEnv.imgDir+"/project/banner_requirement.gif\" border=0></A>");
			out.println("<P>");
			out.println("<TABLE BORDER=5>");

			out.println("<TH NOWRAP ALIGN=RIGHT>");
			out.println("Game Name");
			out.println("</TH>");

			out.println("<TH NOWRAP ALIGN=RIGHT>");
			out.println("CPU");
			out.println("</TH>");

			out.println("<TH NOWRAP ALIGN=RIGHT>");
			out.println("HDD(Byte)");
			out.println("</TH>");

			out.println("<TH NOWRAP ALIGN=RIGHT>");
			out.println("RAM(Byte)");
			out.println("</TH>");

			if(JoeEnv.admin.equals(CookieUser.getUser(request)))
			{
				out.println("<TH NOWRAP ALIGN=RIGHT>");
				out.println("</TH>");
				out.println("<TH NOWRAP ALIGN=RIGHT>");
				out.println("</TH>");
			}

			out.println("</TR>");

			Vector result=dbQuery.query(queryString);
			Iterator resultIterator=result.iterator();
			Vector resultEntryVector;
			while(resultIterator.hasNext())
			{
				resultEntryVector=(Vector)resultIterator.next();

				String gameid=((String)resultEntryVector.elementAt(0)).trim();
				String gamename=((String)resultEntryVector.elementAt(1)).trim();
				String cpu=((String)resultEntryVector.elementAt(2)).trim();
				String hdd=((String)resultEntryVector.elementAt(3)).trim();
				String ram=((String)resultEntryVector.elementAt(4)).trim();
				String hdd2=((String)resultEntryVector.elementAt(5)).trim();
				String ram2=((String)resultEntryVector.elementAt(6)).trim();

				out.println("<TR>");
				out.println("<TD NOWRAP ALIGN=RIGHT>");
				out.println("<A HREF=\"");
				out.println("ListGame?gameid="+gameid);
				out.println("\">");
				out.println(gamename);
				out.println("</TD>");

				if(JoeEnv.admin.equals(CookieUser.getUser(request)))
				{
					out.println("<FORM METHOD=\"POST\" ACTIOn=\"UpdateRequirement\">");
					out.println("<INPUT TYPE=\"HIDDEN\"");
					out.println("NAME=\"gameid\"");
					out.println("VALUE=\""+gameid+"\"");
					out.println(">");

					out.println("<TD>");
					out.println("<INPUT TYPE=\"TEXT\" NAME=\"cpu\" VALUE=\""+cpu+"\">");
					out.println("</TD>");

					out.println("<TD>");
					out.println("<INPUT TYPE=\"TEXT\" NAME=\"hdd\" VALUE=\""+hdd2+"\">");
					out.println("</TD>");

					out.println("<TD>");
					out.println("<INPUT TYPE=\"TEXT\" NAME=\"ram\" VALUE=\""+ram2+"\">");
					out.println("</TD>");

					out.println("<TD>");
					out.println("<INPUT TYPE=\"SUBMIT\" VALUE=\"Update\">");
					out.println("</TD>");

					out.println("<TD>");
					out.println("<INPUT TYPE=\"RESET\" VALUE=\"Reset\">");
					out.println("</TD>");

					out.println("<TD>");

					out.println("</FORM>");

				}
				else
				{
					out.println("<TD NOWRAP ALIGN=RIGHT>");
					out.println(cpu);
					out.println("</TD>");

					out.println("<TD NOWRAP ALIGN=RIGHT>");
					out.println(hdd);
					out.println("</TD>");

					out.println("<TD NOWRAP ALIGN=RIGHT>");
					out.println(ram);
					out.println("</TD>");

				}
				out.println("</TR>");
			}

			out.println("</CENTER></TABLE>");
			out.println("</BODY>");
			out.println("</HTML>");
			out.close();
		}
		catch(Exception e)
		{
		}
        }

	public void doPost(HttpServletRequest request,HttpServletResponse response) 
	{
		doGet(request,response);
	}
}
