
import java.lang.*;

public class LTlabel{

	//constants indicates where LTlabel is data , symbol, or marker
	static public int DATA = 1;
	static public int SYMBOL = 2;
	static public int MARKER = 3;
	static public int EMPTY = 4; //ԽǷ  
	//:ԽǷ  null  ܴ.

	String label;
	LTmarker marking;
	int label_type;


	public LTlabel( String s, int type){
		label = new String(s);
		label_type = type;
	}

	public LTlabel( LTmarker m ){
		marking = m ;
		label_type = MARKER; 
	}

	public void setLabel( String s, int type){
		label = s;
		label_type = type;
	}

	public LTmarker getMarker(){
		if( label_type == MARKER )
			return marking;
		else return null;
	}

	public String getString(){
		return label;
	}
	public boolean isData(){
		if( label_type == DATA ) return true;
		else return false;
	}
	public boolean isSymbol(){
		if( label_type == SYMBOL ) return true;
		else return false;
	}
	public boolean isMarker(){
		if( label_type == MARKER ) return true;
		else return false;
	}
	public boolean isEqual(LTlabel l){
	//operator: l1 = l2 where l1 and l2 are labels
		return l.getString().equals( label );

	}
}

