import javax.servlet.*;
import javax.servlet.http.*;
import java.io.*;
import java.util.*;


public class Dynamic extends HttpServlet
{
	DBQuery dbQuery;

	public void init(ServletConfig config) throws ServletException
	{
		super.init(config);
		dbQuery=new DBQuery();
	}

	public void destroy()
	{
		dbQuery.close();
		dbQuery=null;
	}

	public void doGet(HttpServletRequest request,HttpServletResponse response) 
	{
        	try
		{
			PrintWriter out;
			response.setContentType("text/html");

			out=response.getWriter();

			String qgamename=request.getParameter("name");

			String site="";
			String hit="";

			String queryString;

//			out.println("<!--");

			queryString="SELECT site,hit FROM joec_url ORDER BY hit DESC";
			Vector result=dbQuery.query(queryString);
			Iterator resultIterator=result.iterator();
			Vector resultEntryVector;
			Parser parser;
			while(resultIterator.hasNext())
			{
				resultEntryVector=(Vector)resultIterator.next();

				site=((String)resultEntryVector.elementAt(0)).trim();
				hit=((String)resultEntryVector.elementAt(1)).trim();
				parser=new Parser(site,qgamename);

//				out.println(site);
//				out.println(hit);

				if(parser.found)
				{
					hit=Integer.toString(Integer.parseInt(hit)+1);
					queryString="UPDATE joec_url SET hit="+hit+" WHERE site = "+"'"+site+"'";
//					out.println(queryString);
					dbQuery.update(queryString);
					response.sendRedirect(site);
					break;
				}
			}

//			out.println("-->");

			out.close();
		}
		catch(Exception e)
		{
		}
        }

	public void doPost(HttpServletRequest request,HttpServletResponse response) 
	{
		doGet(request,response);
	}
}
