import javax.servlet.*;
import javax.servlet.http.*;
import java.io.*;


public class InsertGame extends HttpServlet
{
	DBQuery dbQuery;

	public void init(ServletConfig config) throws ServletException
	{
		super.init(config);
		dbQuery=new DBQuery();
	}

	public void destroy()
	{
		dbQuery.close();
		dbQuery=null;
	}

	public void doGet(HttpServletRequest request,HttpServletResponse response) 
	{
        	try
		{
			PrintWriter out;
			response.setContentType("text/html");

			out=response.getWriter();

			String gamename=request.getParameter("gamename");
			String companyid=request.getParameter("companyid");
			String supplyid=request.getParameter("supplyid");
			String genre=request.getParameter("genre");
			String price=request.getParameter("price");
			String howmanysold=request.getParameter("howmanysold");
			String birthdatey=request.getParameter("birthdatey");
			String birthdatem=request.getParameter("birthdatem");
			String birthdated=request.getParameter("birthdated");

			String gamenameInsert="''";
			String companyidInsert="";
			String supplyidInsert="";
			String genreInsert="''";
			String priceInsert="0";
			String howmanysoldInsert="0";
			String birthdateInsert="SYSDATE";

			if(gamename!=null&&gamename.length()!=0)
				gamenameInsert="'"+gamename+"'";
			if(companyid!=null&&companyid.length()!=0)
				companyidInsert="'"+companyid+"'";
			if(supplyid!=null&&supplyid.length()!=0)
				supplyidInsert=supplyid;
			if(genre!=null&&genre.length()!=0)
				genreInsert="'"+genre+"'";
			if(price!=null&&price.length()!=0)
				priceInsert=price;
			if(howmanysold!=null&&howmanysold.length()!=0)
				howmanysoldInsert=howmanysold;
			if(birthdatey!=null&&birthdatey.length()!=0&&birthdatem!=null&birthdatem.length()!=0&&birthdated!=null&&birthdated.length()!=0)
				birthdateInsert="TO_DATE('"+birthdatey+" "+birthdatem+" "+birthdated+"','YYYY MM DD')";

			String queryString="INSERT INTO joe_game ( gameid, name, companyid, genre, price, howmanysold, birthdate, supplyid ) VALUES ( joe_game_id.NEXTVAL,"+gamenameInsert+","+companyidInsert+","+genreInsert+","+priceInsert+","+howmanysoldInsert+","+birthdateInsert+","+supplyidInsert+")";

			if(JoeEnv.admin.equals(CookieUser.getUser(request)))
			{
				dbQuery.update(queryString);
				queryString="INSERT INTO joe_quality ( gameid, graphic, sound, scenario ) VALUES ( joe_game_id.CURRVAL, 0, 0, 0)";
				dbQuery.update(queryString);
				queryString="INSERT INTO joe_requirement ( gameid, cpu, hdd, ram ) VALUES ( joe_game_id.CURRVAL, 0, 0, 0)";
				dbQuery.update(queryString);
			}

			response.sendRedirect("ListGame?companyid="+companyid);

			out.close();
		}
		catch(Exception e)
		{
		}
        }

	public void doPost(HttpServletRequest request,HttpServletResponse response) 
	{
		doGet(request,response);
	}
}
