import jess.*;
import java.io.*;

public class Recommender {
	public int a;

	String _a, _b, _c, _d;

	public Recommender(String a, String b, String c, String d) {
	
		// Age
		if(a.equals("teen")) 
			_a = "10";
		else if (a.equals("twenty"))
			_a = "20";
		else if (a.equals("thirty"))
			_a = "30";
		else if (a.equals("fourty"))
			_a = "40";

		// Job
		if (b.equals("student"))
			_b = "1";
		else if (b.equals("salasman"))
			_b = "2";

		// Hobby
		if (c.equals("movie"))
			_c = "3";
		else if (c.equals("computer"))
			_c = "4";
		else if (c.equals("sports"))
			_c = "5";

		// Character
		if (d.equals("calm"))
			_d = "6";
		else if (d.equals("active"))
			_d = "7";
		
		
		recommend(_a, _b, _c, _d);
	}

	public void recommend(String a, String b, String c, String d) {
		NullDisplay nd = new NullDisplay();		
		
		// Age and Job => Price information 
		String rule1 = "(defrule test (Age ?x) (Job ?y) => " +
			       "(if (= ?x 10) then " + 
			       		"(if (= ?y 1) then "+
			      		 "(printout t \"15\" \"Price\" crlf))) " +
			       "(if (= ?x 20) then " +
			       		"(if (= ?y 1) then "+
			      		 "(printout t \"20\" \"Price\" crlf))) " +
			       "(if (= ?x 20) then " + 
			       		"(if (= ?y 2) then "+
			      		 "(printout t \"25\" \"Price\" crlf))) " +
			       "(if (= ?x 30) then " + 
			       		"(if (= ?y 2) then "+
			      		 "(printout t \"30\" \"Price\" crlf))) " +
			       "(if (= ?x 40) then " + 
			       		"(if (= ?y 2) then "+
			      		 "(printout t \"10\" \"Price\" crlf))))";

		// Hobby and Character => Genre information
		String rule2 = "(defrule test1 (Hobby ?z) (Character ?w) => " +
			       "(if (= ?z 3) then " + 
			       		"(if (= ?w 6) then "+
			      		 "(printout t \"simulation\" \"Genre\" crlf))) " +
			       "(if (= ?z 3) then " + 
			       		"(if (= ?w 7) then "+
			      		 "(printout t \"adventure\" \"Genre\" crlf))) " +
			       "(if (= ?z 4) then " + 
			       		"(if (= ?w 6) then "+
			      		 "(printout t \"roleplaying\" \"Genre\" crlf))) " +
			       "(if (= ?z 4) then " + 
			       		"(if (= ?w 7) then "+
			      		 "(printout t \"sports\" \"Genre\" crlf))) " +
			       "(if (= ?z 5) then " + 
			       		"(if (= ?w 6) then "+
			      		 "(printout t \"adventure\" \"Genre\" crlf))) " +
			       "(if (= ?z 5) then " + 
			       		"(if (= ?w 7) then "+
			      		 "(printout t \"action\" \"Genre\" crlf))) " +
				")";
		
		String str =  "(assert (Age "+ a +") (Job "+ b +"))";
		String str1 =  "(assert (Hobby "+ c +") (Character "+ d +"))";
		
		Rete rete = new Rete(nd);
		
		try {
			rete.executeCommand(rule1);
			rete.executeCommand(rule2);
			rete.executeCommand(str);
			rete.executeCommand(str1);
			
			rete.executeCommand("(run)");
		}
		catch (ReteException re) {
			System.out.println("not");
		}
	}

/*	public static void main (String argv[]) {
		Recommender t = new Recommender("fourty", "salasman", "computer", "active");
		System.out.println(Attr.Price);
		System.out.println(Attr.Genre);
	}*/
}

	
